org.bdgenomics.adam.rdd.read

# ADAMCRAMOutputFormat

###
Related Doc: package read

#### class ADAMCRAMOutputFormat[K] extends KeyIgnoringCRAMOutputFormat[K] with Serializable

Wrapper for Hadoop-BAM to work around requirement for no-args constructor.

K

  The key type. Keys are not written.

Linear Supertypes
Serializable, Serializable, KeyIgnoringCRAMOutputFormat[K], CRAMOutputFormat[K], FileOutputFormat[K, SAMRecordWritable], OutputFormat[K, SAMRecordWritable], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMCRAMOutputFormat
2. Serializable
3. Serializable
4. KeyIgnoringCRAMOutputFormat
5. CRAMOutputFormat
6. FileOutputFormat
7. OutputFormat
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ADAMCRAMOutputFormat()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def checkOutputSpecs(arg0: JobContext): Unit

   Definition Classes
     FileOutputFormat → OutputFormat
   Annotations
     @throws( classOf[java.io.IOException] ) @throws( ... )

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getDefaultWorkFile(arg0: TaskAttemptContext, arg1: String): Path

    Definition Classes
      FileOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

12. #### def getOutputCommitter(arg0: TaskAttemptContext): OutputCommitter

    Definition Classes
      FileOutputFormat → OutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

13. #### def getRecordWriter(context: TaskAttemptContext): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      ADAMCRAMOutputFormat → KeyIgnoringCRAMOutputFormat → FileOutputFormat → OutputFormat

14. #### def getRecordWriter(arg0: TaskAttemptContext, arg1: Path): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      KeyIgnoringCRAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

15. #### def getSAMHeader(): SAMFileHeader

    Definition Classes
      KeyIgnoringCRAMOutputFormat

16. #### def getWriteHeader(): Boolean

    Definition Classes
      KeyIgnoringCRAMOutputFormat

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def readSAMHeaderFrom(arg0: InputStream, arg1: Configuration): Unit

    Definition Classes
      KeyIgnoringCRAMOutputFormat

23. #### def readSAMHeaderFrom(arg0: Path, arg1: Configuration): Unit

    Definition Classes
      KeyIgnoringCRAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

24. #### def setSAMHeader(arg0: SAMFileHeader): Unit

    Definition Classes
      KeyIgnoringCRAMOutputFormat

25. #### def setWriteHeader(arg0: Boolean): Unit

    Definition Classes
      KeyIgnoringCRAMOutputFormat

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from KeyIgnoringCRAMOutputFormat[K]

### Inherited from CRAMOutputFormat[K]

### Inherited from FileOutputFormat[K, SAMRecordWritable]

### Inherited from OutputFormat[K, SAMRecordWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped